ChartDirector Ver 4.1 (PHP Edition Edition)

DrawArea.gradientColor

Usage

gradientColor(startX, startY, endX, endY, startColor, endColor)

Description

Creates a two-point linear gradient color.
This method is for backward compatibility. Use DrawArea.linearGradientColor instead.

Arguments

Argument | Default | Description
--- | --- | ---
startX | (Mandatory) | The x coordinate of the starting point of the reference gradient line segment.
startY | (Mandatory) | The y coordinate of the starting point of the reference gradient line segment.
endX | (Mandatory) | The x coordinate of the ending point of the reference gradient line segment.
endY | (Mandatory) | The y coordinate of the ending point of the reference gradient line segment.
startColor | (Mandatory) | The color at the starting point of the reference gradient line segment.
endColor | (Mandatory) | The color at the ending point of the reference gradient line segment.

Return Value

A 32-bit integer representing the linear gradient color.

© 2006 Advanced Software Engineering Limited. All rights reserved.